# ai_tunnel.cpp File Reference

Implementation of AITunnel. More...

`#include "ai_tunnel.hpp"`
`#include "ai_rail.hpp"`
`#include "../ai_instance.hpp"`
`#include "../../tunnel_map.h"`
`#include "../../command_func.h"`

Go to the source code of this file.

## Functions

static void | _DoCommandReturnBuildTunnel2 (class AIInstance *instance)
static void | _DoCommandReturnBuildTunnel1 (class AIInstance *instance)

## Detailed Description

Implementation of AITunnel.

Definition in file ai_tunnel.cpp.